# Forgejo action for running OpenTofu tests on AWS

This repository contains an action that will run formatting and linting checks
as well as tofu tests on the repository of an OpenTofu module.

## Usage example

``` yaml
- uses: "https://git.adyxax.org/adyxax/action-tofu-test@1.0.1"
  with:
    aws-access-key-id: "${{ vars.AWS_ACCESS_KEY_ID }}"
    aws-access-key-secret: "${{ secrets.AWS_ACCESS_KEY_SECRET }}"
```
